variable "aws_access_key" {
}
variable "aws_secret_key" {
}
variable "region" {
   default = "us-east-1"
}

provider "aws" {
  access_key = "${var.aws_access_key}"
  secret_key = "${var.aws_secret_key}"
  region = "${var.region}"
}

# import mod1, it will inherit our aws provider
module "mod1" {
  source = "./mod1"

  aws_access_key = "${var.aws_access_key}"
  aws_secret_key = "${var.aws_secret_key}"
  region = "${var.region}"
}
