variable "aws_access_key" {
}
variable "aws_secret_key" {
}
variable "region" {
}

# import mod2, it will *not* inherit our inherited aws provider
module "mod2" {
  source = "../mod2"

  aws_access_key = "${var.aws_access_key}"
  aws_secret_key = "${var.aws_secret_key}"
  region = "${var.region}"
}

resource "aws_instance" "repro2" {
  ami = "ami-408c7f28"
  instance_type = "t1.micro"
  tags {
    Name = "TerraformBugReproInstance2"
  }
}
